RedBoot User's Guide
Prev |  | Next

# fs mount

## Name

fs mount -- Mount a filesystem

## Synopsis

fs mount [-d `device`] {-t `fstype`} {mountpoint}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`device` | Number | Device containing filsystem to mount. | undefined
`fstype` | Number | Filesystem type. |
`mountpoint` | String | Pathname for filesystem root. | /

## Description

This command is used make a filesystem available for access with the filesystem access commands. Three things need to be defined to do this. First, the name of the device on which the filesystem is stored needs to be given to the `-d` option. Secondly, the type of filesystem it is needs to be given to the `-t` option. Finally, the pathname by which the new filesystem will be accessed needs to be supplied. Following a successful mount, the root of the filesystem will be accessible at the mountpoint.

## Examples

Mount a JFF2 partititon:

    RedBoot> fs info
    Filesystems available:
    ramfs
    jffs2

    Devices available:
    /dev/flash1

    Mounted filesystems:
             Device Filesystem Mounted on
        <undefined>      ramfs /
    RedBoot> fs mount -d /dev/flash1 -t jffs2 /flash
    RedBoot> fs info
    Filesystems available:
    ramfs
    jffs2

    Devices available:
    /dev/flash1

    Mounted filesystems:
             Device Filesystem Mounted on
        <undefined>      ramfs /
        /dev/flash1      jffs2 /flash
    RedBoot>

Prev | Home | Next
fs info | Up | fs umount